// hier Package-Definitioneinfuegen, z.B. package syntax;

import java.util.Vector;

/**
 * Contains information needed for generating am explanation String
 */

public class Explanation
{

    /**
     *
     */
    public Explanation()
    {
	violations = new Vector();
    }

    /**
     * Adds a violation to the explanation
     * <br>!!! parameter type may change !!!
     * @param description of violation
     */
    public void addViolation(String violation)
    {
	violations.add(violation);
    }

    /**
     * Returns all violation descriptions
     */
    public Object[] getViolations()
    {
	return violations.toArray();
    }

    /**
     * Returns true if this object has at least one description
     * @return a violation was found
     */
    public boolean violationFound()
    {
	return !(violations.isEmpty());
    }

    private Vector violations;

}
