// hier Package-Definitioneinfuegen, z.B. package syntax;


import java.util.TreeMap;
import java.net.*;
/**
 * Test class for <code>SyntaxDiagnose</code>
 */
public class TestSyntaxDiagnose
{

    public static void main(String[] args) throws java.io.IOException
    {
	//this.explanation1 ="Tip: Hocker ist Maskulinum";
		//this.explanation2 ="Es heit richtig: \"der\" Hocker";

	SyntaxDiagnose diag = new SyntaxDiagnoseImpl();
	String sentence;
	Explanation explanation = new Explanation();
	Object[] violations;

	sentence="Der Hocker steht unter dem Tisch";
	diag.analyze(sentence);
	System.out.println("\n****\n"+sentence);
	System.out.println("korrekt?  "+diag.isCorrect());
	explanation = diag.explanation();
	violations = explanation.getViolations();
	System.out.println("Number of Violations: "+violations.length);
	for(int i=0;i<violations.length;i++)
	    {
		System.out.println("Violation: "+(String) violations[i]);
	    }

	System.out.println("quality: "+diag.quality());
	System.out.println(diag.syntaxTree().toString());

	//----------------------------------------------------------------

	sentence="Der Hocker steht auf dem Tisch";
	diag.analyze(sentence);
	System.out.println("\n****\n"+sentence);
	System.out.println("korrekt?  "+diag.isCorrect());
	explanation = diag.explanation();
	violations = explanation.getViolations();
	System.out.println("Number of Violations: "+violations.length);
	for(int i=0;i<violations.length;i++)
	    {
		System.out.println("Violation: "+(String) violations[i]);
	    }

	System.out.println("quality: "+diag.quality());
	System.out.println(diag.syntaxTree().toString());
	//----------------------------------------------------------------

	sentence="Das Hocker steht unter dem Tisch";
	diag.analyze(sentence);
	System.out.println("\n****\n"+sentence);
	System.out.println("korrekt?  "+diag.isCorrect());
	explanation = diag.explanation();
	violations = explanation.getViolations();
	System.out.println("Number of Violations: "+violations.length);
	for(int i=0;i<violations.length;i++)
	    {
		System.out.println("Violation: "+(String) violations[i]);
	    }

	System.out.println("quality: "+diag.quality());
	System.out.println(diag.syntaxTree().toString());
	//----------------------------------------------------------------

	sentence="Das Hocker steht auf dem Tisch";
	diag.analyze(sentence);
	System.out.println("\n****\n"+sentence);
	System.out.println("korrekt?  "+diag.isCorrect());
	explanation = diag.explanation();
	violations = explanation.getViolations();
	System.out.println("Number of Violations: "+violations.length);
	for(int i=0;i<violations.length;i++)
	    {
		System.out.println("Violation: "+(String) violations[i]);
	    }

	System.out.println("quality: "+diag.quality());
	System.out.println(diag.syntaxTree().toString());

    }
}
